Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 911041 - Review Request: nodejs-ncp - Asynchronous recursive file copy utility for Node.js
Summary: Review Request: nodejs-ncp - Asynchronous recursive file copy utility for Nod...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcelo Barbosa "firemanxbr"
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews 911059
TreeView+ depends on / blocked
 
Reported: 2013-02-14 09:42 UTC by Jamie Nguyen
Modified: 2013-07-13 20:13 UTC (History)
4 users (show)

Fixed In Version: nodejs-ncp-0.4.2-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-06-27 13:21:19 UTC
marcelo.barbosa: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jamie Nguyen 2013-02-14 09:42:12 UTC
Spec URL: http://jamielinux.fedorapeople.org/buddycloud-server/nodejs-ncp.spec
SRPM URL: http://jamielinux.fedorapeople.org/buddycloud-server/SRPMS/nodejs-ncp-0.4.0-1.fc18.src.rpm
Fedora Account System Username: jamielinux

Description:
This module is an asynchronous recursive copy utility for Node.js.
Think cp -r, but pure node, and asynchronous. ncp can be used both
as a CLI tool and programmatically.

Comment 1 Jamie Nguyen 2013-05-25 19:54:04 UTC
Spec URL: http://jamielinux.fedorapeople.org/buddycloud-server/nodejs-ncp.spec
SRPM URL: http://jamielinux.fedorapeople.org/buddycloud-server/SRPMS/nodejs-ncp-0.4.2-1.fc18.src.rpm

* Sat May 25 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.4.2-1
- update to upstream release 0.4.2

Comment 2 Marcelo Barbosa "firemanxbr" 2013-06-27 04:41:55 UTC
Jamie,

   Good work with this package.

- Outputs for rpmlint are false positives. 

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-ncp-0.4.2-1.fc18.noarch.rpm
nodejs-ncp.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-ncp.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-ncp.noarch: W: spelling-error %description -l en_US cp -> co, c, p
nodejs-ncp.noarch: W: spelling-error %description -l en_US programmatically -> pro grammatically, pro-grammatically, programmatic ally
nodejs-ncp.noarch: W: only-non-binary-in-usr-lib
nodejs-ncp.noarch: W: no-manual-page-for-binary ncp
1 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-ncp
nodejs-ncp.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-ncp.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-ncp.noarch: W: spelling-error %description -l en_US cp -> co, c, p
nodejs-ncp.noarch: W: spelling-error %description -l en_US programmatically -> pro grammatically, pro-grammatically, programmatic ally
nodejs-ncp.noarch: W: only-non-binary-in-usr-lib
nodejs-ncp.noarch: W: no-manual-page-for-binary ncp
1 packages and 0 specfiles checked; 0 errors, 6 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-ncp (rpmlib, GLIBC filtered):
    /usr/bin/env
    nodejs(engine)



Provides
--------
nodejs-ncp:
    nodejs-ncp
    npm(ncp)



Source checksums
----------------
http://registry.npmjs.org/ncp/-/ncp-0.4.2.tgz :
  CHECKSUM(SHA256) this package     : 9454af494ca56d976721f2385b2f1a82ef315528fd3b2cfda6b3b47946508f63
  CHECKSUM(SHA256) upstream package : 9454af494ca56d976721f2385b2f1a82ef315528fd3b2cfda6b3b47946508f63


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review -b 911041

----------------

PACKAGE APPROVED

----------------


Follow the process from: 
https://fedoraproject.org/wiki/Join_the_package_collection_maintainers#Add_Package_to_Source_Code_Management_.28SCM.29_system_and_Set_Owner


If you have any questions , feel free to contact me through my email or in the irc channel #fedora-devel, my nick is firemanxbr

Comment 3 Jamie Nguyen 2013-06-27 06:34:30 UTC
New Package SCM Request
=======================
Package Name: nodejs-ncp
Short Description: Asynchronous recursive file copy utility for Node.js
Owners: jamielinux patches
Branches: f18 f19 el6
InitialCC:

Comment 4 Gwyn Ciesla 2013-06-27 11:10:32 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2013-06-27 13:12:12 UTC
nodejs-ncp-0.4.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-ncp-0.4.2-1.fc19

Comment 6 Fedora Update System 2013-06-27 13:14:09 UTC
nodejs-ncp-0.4.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nodejs-ncp-0.4.2-1.fc18

Comment 7 Fedora Update System 2013-06-27 13:14:45 UTC
nodejs-ncp-0.4.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-ncp-0.4.2-1.el6

Comment 8 Fedora Update System 2013-07-06 00:55:16 UTC
nodejs-ncp-0.4.2-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 9 Fedora Update System 2013-07-07 01:27:11 UTC
nodejs-ncp-0.4.2-1.fc18 has been pushed to the Fedora 18 stable repository.

Comment 10 Fedora Update System 2013-07-13 20:13:06 UTC
nodejs-ncp-0.4.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.